// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2009
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.

package com.ibm.websphere.batch;

/*import com.ibm.ejs.ras.Tr;
import com.ibm.ejs.ras.TraceComponent;*/

/**
 * This is the Key class for a Batch Step EJB. The Batch Execution Environment uses 
 * this Key to identify a batch step EJB.
 * 
 *
 * @ibm-api
 */
public class BatchJobStepKey implements java.io.Serializable {
    // private static final String className = BatchJobStepKey.class.getName();
    // private static final TraceComponent tc = Tr.register( className, "Batch_Container", "com.ibm.ws.bjee.resources.batchMessages");

    static final long serialVersionUID = 3206093459760846163L;
    
    /**
     * Implementation field for persistent attribute: jobID
     */
    public java.lang.String jobID;
    /**
     * Implementation field for persistent attribute: stepID
     */
    public java.lang.String stepID;
    
    /**
     * Creates an empty key for the Entity Bean.
     */
    public BatchJobStepKey() {
    }
    /**
     * Returns true if both keys are equal.
     */
    public boolean equals(java.lang.Object otherKey) {
        //if (tc.isEntryEnabled()) Tr.entry(tc, "equals", otherKey);
        boolean result=false;
        if (otherKey instanceof com.ibm.websphere.batch.BatchJobStepKey) {
            com.ibm.websphere.batch.BatchJobStepKey o =
            (com.ibm.websphere.batch.BatchJobStepKey) otherKey;
            result=(this.jobID.equals(o.jobID)) && (this.stepID.equals(o.stepID));
        }
        //if (tc.isEntryEnabled()) Tr.exit(tc, "equals - " + result);
        return result;
    }
    /**
     * Returns the hash code for the key.
     */
    public int hashCode() {
        return(jobID.hashCode() + stepID.hashCode());
    }
    /*
     * Creates a key for the Entity Bean
     * 
     * @param jobID The ID of the job associated with the entity bean 
     * @param stepID The ID of the step associated with the entity bean 
     * 
     * @returns a key for the entity bean
     */
    public BatchJobStepKey(java.lang.String jobID, java.lang.String stepID) {
        this.jobID = jobID;
        this.stepID = stepID;
    }
}

